AutoCAD Map 3D Developer
Welcome to Autodesk’s AutoCAD Map 3D Developer Forums. Share your knowledge, ask questions, and explore popular AutoCAD Map 3D Developer topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

how to run ADEEDITDATA from lisp?

6 REPLIES 6
Reply
Message 1 of 7
Anonymous
1220 Views, 6 Replies

how to run ADEEDITDATA from lisp?

I know when you issue this:
(COMMAND "_ADEEDITDATA")

you get this:
Cannot execute this command from within ADS or AutoLisp.

Any ideas on how to get around this?
I am thinking I could write a short script and run that from lisp. that might fool acad...

This is crazy as this command is super useful and used a lot.
Maybe the pgp file will work, but I want to call the command from a dialog box or key-in lisp routine

(defun c:ME () (COMMAND "_ADEEDITDATA"))
something like that should work...
James Maeding
Civil Engineer and Programmer
jmaeding - athunsaker - com
6 REPLIES 6
Message 2 of 7
Anonymous
in reply to: Anonymous

what a crack up.
running it from a script gives a command line version editor.
have to try something else I guess
James Maeding
Civil Engineer and Programmer
jmaeding - athunsaker - com
Message 3 of 7
Anonymous
in reply to: Anonymous

HA! check this out:

(vla-eval (vlax-get-acad-object) (strcat "ThisDrawing.sendcommand \"_ADEEDITDATA \"") )

the back door?

James Maeding
|>I know when you issue this:
|>(COMMAND "_ADEEDITDATA")
|>
|>you get this:
|>Cannot execute this command from within ADS or AutoLisp.
|>
|>Any ideas on how to get around this?
|>I am thinking I could write a short script and run that from lisp. that might fool acad...
|>
|>This is crazy as this command is super useful and used a lot.
|>Maybe the pgp file will work, but I want to call the command from a dialog box or key-in lisp routine
|>
|>(defun c:ME () (COMMAND "_ADEEDITDATA"))
|>something like that should work...
|>James Maeding
|>Civil Engineer and Programmer
|>jmaeding - athunsaker - com

James Maeding
Civil Engineer and Programmer
jmaeding - athunsaker - com
Message 4 of 7
Anonymous
in reply to: Anonymous

James,
I don't know what you are working on but take a look at "COPY_OD.lsp" in the
sample folder of MAP, might give you some ideas.

Murph

"James Maeding" wrote in message
news:5023171@discussion.autodesk.com...
HA! check this out:

(vla-eval (vlax-get-acad-object) (strcat "ThisDrawing.sendcommand
\"_ADEEDITDATA \"") )

the back door?

James Maeding
|>I know when you issue this:
|>(COMMAND "_ADEEDITDATA")
|>
|>you get this:
|>Cannot execute this command from within ADS or AutoLisp.
|>
|>Any ideas on how to get around this?
|>I am thinking I could write a short script and run that from lisp. that
might fool acad...
|>
|>This is crazy as this command is super useful and used a lot.
|>Maybe the pgp file will work, but I want to call the command from a dialog
box or key-in lisp routine
|>
|>(defun c:ME () (COMMAND "_ADEEDITDATA"))
|>something like that should work...
|>James Maeding
|>Civil Engineer and Programmer
|>jmaeding - athunsaker - com

James Maeding
Civil Engineer and Programmer
jmaeding - athunsaker - com
Message 5 of 7
Anonymous
in reply to: Anonymous

Murph,
I saw that lisp, you arte thinking I have problems dealing with object data and the API.
I am not, I simply wanted to make a key-in lisp for the ADEEDITDATA command.
Try this (command "ADEEDITDATA")
it don't workie...

Murph
|>James,
|>I don't know what you are working on but take a look at "COPY_OD.lsp" in the
|>sample folder of MAP, might give you some ideas.
|>
|>Murph
|>
|>"James Maeding" wrote in message
|>news:5023171@discussion.autodesk.com...
|>HA! check this out:
|>
|>(vla-eval (vlax-get-acad-object) (strcat "ThisDrawing.sendcommand
|>\"_ADEEDITDATA \"") )
|>
|>the back door?
|>
|>James Maeding
|>|>I know when you issue this:
|>|>(COMMAND "_ADEEDITDATA")
|>|>
|>|>you get this:
|>|>Cannot execute this command from within ADS or AutoLisp.
|>|>
|>|>Any ideas on how to get around this?
|>|>I am thinking I could write a short script and run that from lisp. that
|>might fool acad...
|>|>
|>|>This is crazy as this command is super useful and used a lot.
|>|>Maybe the pgp file will work, but I want to call the command from a dialog
|>box or key-in lisp routine
|>|>
|>|>(defun c:ME () (COMMAND "_ADEEDITDATA"))
|>|>something like that should work...
|>|>James Maeding
|>|>Civil Engineer and Programmer
|>|>jmaeding - athunsaker - com
|>
|>James Maeding
|>Civil Engineer and Programmer
|>jmaeding - athunsaker - com

James Maeding
Civil Engineer and Programmer
jmaeding - athunsaker - com
Message 6 of 7
Anonymous
in reply to: Anonymous

OK Got you now, understand what you mean.

Murph
Message 7 of 7
perrych2
in reply to: Anonymous

You will have to use the ade autolisp functions. Look at ade_odsetfield and similar functions in the Autodesk Map AutoLISP Reference.

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost